Download it now!
Bug 133268 - Colibre’s color palette is faint and fails WCAG contrast guidelines
Summary: Colibre’s color palette is faint and fails WCAG contrast guidelines
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: low enhancement
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:7....
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2020-05-22 09:11 UTC by Adolfo Jayme
Modified: 2020-07-05 11:39 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Faint yellow has poor contrast. The effect is more blatant in low-quality laptop screens, or when you have hyperopia (129.10 KB, image/png)
2020-05-22 09:15 UTC, Adolfo Jayme
Details
side by side comparison old Colibre color theme and revised 'monoline' compliant (47.60 KB, image/png)
2020-06-01 16:50 UTC, V Stuart Foote
Details
comparison of Writer toolbar old Colibre color theme and revised (48.63 KB, image/png)
2020-06-01 16:53 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adolfo Jayme 2020-05-22 09:11:30 UTC
Please refer to https://t.me/LibreOfficeDesign/40711 for a description of the problem with the color palette, but basically, it is too faint. The biggest offender is that sort of manila yellow it uses, which together with the icon theme’s thin lines, it makes many icons completely blend with the application’s background — especially in the gray sidebar.

Microsoft has since moved on from this palette and migrated to a newer, more saturated one: https://docs.microsoft.com/en-us/office/dev/add-ins/design/add-in-icons-monoline#palette . I believe Colibre’s icons could benefit from being recolored to match this newer palette.

This is not urgent, but a nice-to-have — although one that will improve usability for thousands of Windows users.
Comment 1 Adolfo Jayme 2020-05-22 09:15:44 UTC
Created attachment 161124 [details]
Faint yellow has poor contrast. The effect is more blatant in low-quality laptop screens, or when you have hyperopia
Comment 2 Buovjaga 2020-05-22 09:38:18 UTC
Sounds good -> NEW
Comment 3 V Stuart Foote 2020-05-22 12:51:18 UTC
Well maybe collibre could be recast. But I'd rather see work put in on a HC light and HC dark icon theme, and then also figure a way to color an icon theme in response to DE profile.
Comment 4 andreas_k 2020-05-22 12:54:31 UTC
As all icon themes are svg icon themes it would be way easier if we can define the icon theme and after that the color palette.

The big show stopper is only that the svg2png export is bad.
Comment 5 Rizal Muttaqin 2020-05-28 06:53:08 UTC
Work in Progress 

github.com/rizmut/ibreoffice-style-colibre

They are now using color scheme from newest MS Monoline guideline that being used in MS Office 365.

To see latest build, just install the extension

https://github.com/rizmut/libreoffice-style-colibre/blob/master/build/Colibre-IconSet.oxt


Would you please bring this to ESC so we will get overhaul version of Colibre.
Comment 6 andreas_k 2020-05-28 06:57:22 UTC
+1 to improve colibre and move the "old" colibre to the extension page.
Comment 7 Commit Notification 2020-05-31 18:49:33 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/263e5726c71b3c3579f974194510ed01947ee6cf

Resolves tdf#133268: Update Colibre color palette

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-01 15:45:49 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d763b8e9ef52ca416f0cd4a3dd56bb277e2e5999

Resolves tdf#133268: Update Colibre color palette

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 V Stuart Foote 2020-06-01 16:50:52 UTC
Created attachment 161497 [details]
side by side comparison old Colibre color theme and revised 'monoline' compliant
Comment 10 V Stuart Foote 2020-06-01 16:53:57 UTC
Created attachment 161498 [details]
comparison of Writer toolbar old Colibre color theme and revised

Applied the OXT to get a look at the new color scheme and touched up SVG/PNG--much crisper. Nice improvement Rizal, thanks!
Comment 11 Commit Notification 2020-06-02 06:59:35 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c19b9beed3cfd500baf02a5ff9703ecb02af1978

tdf#133268 (Sync w Sukapura, + & improve many icons)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2020-06-02 14:06:05 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dc61b9ccc0815c74f060a74bc2efebf9ba7621d0

tdf#133268 (Sync w Sukapura, + & improve many icons)

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Adolfo Jayme 2020-06-03 10:28:52 UTC
💜
Comment 14 V Stuart Foote 2020-06-06 16:36:15 UTC
@Rizal, could you double check the greytone change for 'monoline' for the underline & underlinedouble icons -- they look to have kept the old color value and seem less crisp next to the italic and strikeout artwork on the toolbar. --Stuart
Comment 15 Rizal Muttaqin 2020-06-06 16:42:21 UTC
(In reply to V Stuart Foote from comment #14)
> @Rizal, could you double check the greytone change for 'monoline' for the
> underline & underlinedouble icons -- they look to have kept the old color
> value and seem less crisp next to the italic and strikeout artwork on the
> toolbar. --Stuart

For which size? Small/large/extra large?
Comment 16 V Stuart Foote 2020-06-06 18:06:15 UTC
(In reply to Rizal Muttaqin from comment #15)
> (In reply to V Stuart Foote from comment #14)
> > @Rizal, could you double check the greytone change for 'monoline' for the
> > underline & underlinedouble icons -- they look to have kept the old color
> > value and seem less crisp next to the italic and strikeout artwork on the
> > toolbar. --Stuart
> 
> For which size? Small/large/extra large?

Both the sc_ and lc_ in SVG (opening the share/config images_colibre_svg.zip archive) not sure about the bundled PNGs (but the UI small, large, and extra large view modes all look off).

Likewise the large UI view PNG for Italic, maybe?
Comment 17 Commit Notification 2020-06-06 23:05:25 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/933d03e36db2a01cbda3d4ca13f4333d38239d1e

Colibre: tdf#133268 fix Underline icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2020-06-07 06:32:14 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ca96110ca8237bd8d3326b078789ef05fa61069b

Colibre: tdf#133268 fix Underline icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2020-06-07 08:48:39 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/659ee1c3711b2ebbd9447f9678118179293ee939

Colibre: tdf#133268 fix Underline icons

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2020-06-10 07:50:53 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/98c222e9528929b323fa22b6d848ad44f2a767ef

tdf#133268  Update Calc's conditional format icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2020-06-11 02:13:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ab267a5282a2983fce7040feac04270af407c29d

tdf#133268

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2020-06-11 02:14:54 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/17b4c35818a5556353a18146dce995645931b222

tdf#133268  Update Calc's conditional format icons

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 23 Commit Notification 2020-06-11 05:36:03 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/932600af2f57557098c835896a84b50ec0a72fab

tdf#133268

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 24 Commit Notification 2020-06-12 09:53:24 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e5fdde91e3eab13777a4f929efc650cacb643c0c

tdf#133268 update

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2020-06-13 23:52:05 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d4207fa7cd5986d137dc8a67cbc40a043834dfc0

tdf#133268 update

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2020-06-15 10:11:28 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9bf6c9d7e87472f1800e447361ab416407243dcd

tdf#133268

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2020-06-15 12:00:54 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/b87b42f37f83f95be6b917336eeadd8f2b0d3563

tdf#133268

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2020-06-16 18:31:57 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/84eef89a1c8efca6b77ca161b6525cd1a6bb49f5

tdf#133268: Update non cmd icons, update Glue point icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2020-06-16 19:28:20 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/65c1418330c30406aa896d72576f368e67462a23

tdf#133268: Update non cmd icons, update Glue point icons

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2020-06-16 22:01:45 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a774d1909183db5e970e2efe5fbaae13fecbc8e1

tdf#133268: Update message box, remove unnecessary, update some other etc

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2020-06-17 02:16:12 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/3197762fd5f5c62dbefa7b02954395986db0a8a1

tdf#133268: Update message box, remove unnecessary, update some other etc

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2020-07-03 08:00:32 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/192e6c1209d4c0795dabc4feeacb49e521b4f8c7

Colibre: tdf#133268: Add more extra large 32px icons

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 Commit Notification 2020-07-03 10:17:47 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/04775dc24a58d3eaafe6ddfd37ab0e9a8fa549c5

Colibre: tdf#133268: Add more extra large 32px icons

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 34 Commit Notification 2020-07-05 01:30:15 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ed8356ec56e3d7223db62e2eda84fa0e133139de

Colibre tdf#133268, Sukapura tdf#106229

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2020-07-05 11:39:13 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/72bb13af1808b27a293e09a3ead2aadd049e9ec1

Colibre tdf#133268, Sukapura tdf#106229

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.